Subject: Unable to open remote pdf directly with eww

From: Stefan Kangas <[email-masked]>
Date: Thu, 10 Sep 2020 12:39:59 -0700

Steps to reproduce:

0. emacs -Q
1. M-x eww RET https://www.gnu.org/software/emacs/manual/pdf/emacs.pdf RET

Result: My external pdf reader (titled "Document Viewer", not sure what
it is, maybe some Gnome thing) opens with the message "Unable to open
file '/home/skangas/wip/emacs/-'".  It seems like it tried to open the
file "-" in the directory from which I run Emacs.

It would be useful if this would open the pdf doc-view-mode, or if the
pdf was downloaded to /tmp and opened using "Document Viewer" from there
or something.